function [cossym,sinsym]=gensym(sn,M)

%function [cossym,sinsym]=gensym(sn,M)
%
%This function enerates M level cos and sin symbol sequences each of length sn
%
%Input parameters:
%
%sn	the number of symbols to be randomly generated
%M	the number of voltage levels of the symbol sequence
%
%The function returns:
%
%cossym		the first series of symbols (to be modulated on the cosine carrier
%sinsym		the second series of symbols (to be modulated on the cosine carri

for i=1:1:2^M
A(i)=i;
end


%A tested random number generator

f=(2^M);
for i=1:1:sn
	bits(i)= round(rand*f-.5);

%Symbol loading table

%Loads cos and sin symbol according to QAM space allocation

	if bits(i) == 0,
		scos(i) =  1;
		ssin(i) =  1;

	elseif bits(i) ==  1,
		scos(i) = -1;
		ssin(i) =  1;

	elseif bits(i) ==  2,
		scos(i) = -1;
		ssin(i) = -1;
	
	elseif bits(i) ==  3,
		scos(i) =  1;
		ssin(i) = -1;

	elseif bits(i) ==  4,
		scos(i) =  3;
		ssin(i) = -1;

	elseif bits(i) ==  5,
		scos(i) =  3;
		ssin(i) =  1;

	elseif bits(i) ==  6,
		scos(i) =  3;
		ssin(i) =  3;

	elseif bits(i) ==  7,
		scos(i) =  1;
		ssin(i) =  3;

	elseif bits(i) ==  8,
		scos(i) = -1;
		ssin(i) =  3;

	elseif bits(i) ==  9,
		scos(i) = -3;
		ssin(i) = -3;

	elseif bits(i) == 10,
		scos(i) = -3;
		ssin(i) =  1;

	elseif bits(i) == 11,
		scos(i) = -3;
		ssin(i) = -1;

	elseif bits(i) == 12,
		scos(i) = -3;
		ssin(i) = -3;

	elseif bits(i) == 13,
		scos(i) = -1;
		ssin(i) = -3;

	elseif bits(i) == 14,
		scos(i) =  1;
		ssin(i) = -3;

	elseif bits(i) == 15,
		scos(i) =  3;
		ssin(i) = -3;

	end

end
	
cossym=scos;
sinsym=ssin;