function [tout,ybp,ycosbp,ysinbp,ycosbb,ysinbb,cossymb,sinsymb] = qamdef(cossym,sinsym,M,ts,carrierfreq,tr)

%[tout,ybp,ycosbp,ysinbp,ycosbb,ysinbb,cossymb,sinsymb] = qamdef(cossym,sinsym,M,ts,carrierfreq,tr)
%
%Function to generate a QAM signal from 2 defined symbol vectors
%
%Input parameters:
%
%cossym        the symbol sequence to be modulated on the cosine carrier
%sinsym        the symbol sequence to be modulated on the sine carrier
%M             the number of symbol levels
%ts            the symbol period
%carrierfreq   the carrier frequency of the cosine and sine modulating waves
%tr            the time resolution of the signal
%
%The function returns:
%
%tout     the time vector for the waveform
%ybp      the overal QAM signal
%ycosbp   the modulated cosine component of the QAM output
%ysinbp   the modulated sine component of the QAM output
%ycosbb   the base-band waveform to modulate the cosine carrier
%ysinbb   the base-band waveform to modulate the sine carrier
%cossymb  the cosine symbol sequence (as input to the function)
%sinsymb  the sine sybol sequence (as input tot he function)

cossymb=cossym;
sinsymb=sinsym;


%generate and plot baseband cosine and sine waveforms
[t,ycosbb,ysinbb]=genbbnew(cossym,sinsym,M,ts,tr);


%generate and plot the QAM siganl
[tout,ybp,ycosbp,ysinbp]=qammod(t,ycosbb,ysinbb,tr,carrierfreq);
