function [t,yqam,ycosbp,ysinbp]=qammod(t,ycosbb,ysinbb,xr,carrierfreq)

%function [t,yqam,ycosbp,ysinbp]=qammod(t,ycosbb,ysinbb,xr,carrierfreq)
%
%This function generates the QAM signal on cos and sin carriers from two baseband 
%modulated symbol sequences
%
%Input parameters:
%
%t		the signal time vector
%ycosbb		the cossine carriers modulating baseband signal
%ysinbb		the sine carrers modulating baseband signal
%xr		time resolution
%carrierfreq	the carrier wave frequency
%
%The function returns:
%
%t	  the time vector for the waveform
%yqam     the overal QAM signal
%ycosbp   the cosine bandpass component of the QAM output
%ysinbp   the sine bandpass component of the QAM output


ycoscarrier=cos(2*pi*carrierfreq*t);
ysincarrier=sin(2*pi*carrierfreq*t);


ycosbp=ycosbb.*ycoscarrier;
ysinbp=ysinbb.*ysincarrier;

yqam=ycosbp+ysinbp;

plot(t,yqam,'m')

title('QAM siganl')

grid



