function [ysample] = sampfreq(t,ysignal,samplefreq)

%[ysample] = sampfreq(t,ysignal,samplesfreq)
%
%Function to generate a sampled version of an input waveform (pseudo continuous) with
%samples at the sampling period (1/samplefreq)
%
%Input parameters:
%
%t		the time vector for the input signal
%ysignal	the waveform to be sampled
%samplefreq	the sampling frequency
%
%The function returns:
%
%ysample	the output sequence (of same length as the input)

tr=t(2)-t(1);

A=length(ysignal);
ysample=zeros(1,A);

B=1/(samplefreq*tr);

for i=1:B:A-1
ysample(i)=ysignal(i);
end

clg

plot(t,ysignal);
hold on
plot(t,ysample,'g')
hold off