function [ysample] = sampstep(ysignal,samplestep)

%[ysample] = sampstep(ysignal,samplestep)
%
%Function to generate a sampled version of an input waveform (pseudo continuous) with
%samples space by the gap samplestep
%
%Input parameters:
%
%ysignal	the waveform to be sampled
%samplestep	the sampling interval (ie 1 sample every 'samplestep' intervals of time)
%
%The function returns:
%
%ysample	the output sequence (of same length as the input)

A=length(ysignal);
ysample=zeros(1,A);
for i=1:samplestep:A-1
ysample(i)=ysignal(i);
end


clg

plot(t,ysignal);
hold on
plot(t,ysample,'g')
hold off